import * as tslib_1 from "tslib";
import * as React from 'react';
import { Component } from 'react';
import FilePreview from 'react-preview-file';
import { getOrientation, getCssFromImageOrientation } from './util';
var Rotate = (function (_super) {
    tslib_1.__extends(Rotate, _super);
    function Rotate() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {};
        return _this;
    }
    Rotate.prototype.componentWillMount = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var file, orientation;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        file = this.props.file;
                        return [4, getOrientation(file)];
                    case 1:
                        orientation = _a.sent();
                        this.setState({ orientation: orientation });
                        return [2];
                }
            });
        });
    };
    Rotate.prototype.render = function () {
        var orientation = this.state.orientation;
        var _a = this.props, className = _a.className, file = _a.file;
        if (!orientation)
            return null;
        var style = {
            transform: getCssFromImageOrientation(orientation)
        };
        return (React.createElement(FilePreview, { file: file }, function (preview) { return React.createElement("img", { src: preview, className: className, style: style, alt: "preview" }); }));
    };
    return Rotate;
}(Component));
export { Rotate };
