"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("react");
var react_preview_file_1 = require("react-preview-file");
var util_1 = require("./util");
var Rotate = (function (_super) {
    tslib_1.__extends(Rotate, _super);
    function Rotate() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {};
        return _this;
    }
    Rotate.prototype.componentWillMount = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var file, orientation;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        file = this.props.file;
                        return [4, util_1.getOrientation(file)];
                    case 1:
                        orientation = _a.sent();
                        this.setState({ orientation: orientation });
                        return [2];
                }
            });
        });
    };
    Rotate.prototype.render = function () {
        var orientation = this.state.orientation;
        var _a = this.props, className = _a.className, file = _a.file;
        if (!orientation)
            return null;
        var style = {
            transform: util_1.getCssFromImageOrientation(orientation)
        };
        return (React.createElement(react_preview_file_1.default, { file: file }, function (preview) { return React.createElement("img", { src: preview, className: className, style: style, alt: "preview" }); }));
    };
    return Rotate;
}(react_1.Component));
exports.Rotate = Rotate;
